.checkbox {
    position: relative;

    input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:checked + .checkbox__label {

            &::after {
                opacity: 1;
                border-top-style : none;
                border-right-style : none;
                transform : rotate(-45deg);
                height : 6px;
                width : 10px;
                border-color : #a4a4a4;
                border-radius : 0;
                border-width : 1px;
                top : 3px;
                left : 3px;
            }
        }

        &:disabled + .checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        color: #3a3a3a;
        cursor: pointer;
        font-size: rem(14);
        line-height: 130%;
        position: relative;
        padding-left: rem(25);
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 16px;
            height: 16px;
            display: block;
            position: absolute;
            border: 1px solid #a4a4a4;
            border-radius: rem(2);
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : rem(20);
            width : rem(20);
            border : 1px solid #a4a4a4;
            position : absolute;
            border-radius : rem(4);
            top : 2px;
            left : 0;
            -webkit-transition : 100ms ease-in-out;
            transition : 100ms ease-in-out;
        }

        a {
            color: #3a3a3a;
            text-decoration: underline;

            &:hover {
                color: #3a3a3a;
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__label {
            font-size: rem(15);
            line-height: 130%;
            padding-left: rem(35);

            &:before {
                width: 20px;
                height: 20px;
                border-width: 2px;
            }
        }

        input {

            &:checked + .checkbox__label {

                &::after {
                    transform : rotate(-45deg);
                    height : 7px;
                    width : 12px;
                    border-width : 2px;
                    top : 5px;
                    left : 4px;
                }
            }
        }
    }
}
